package net.mkonrad.synes.data.instruments;

import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.MelodyInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.elements.instruments.TriangleShape;
import net.mkonrad.synes.gui.style.Colors;
import net.mkonrad.synes.util.MusicTools;

public class Kick extends MelodyInstrument
{
  public Kick()
  {
    super();
    _name = "synes_kick";
    _iconName = "kick.png";
    _texture = "triangle.png";
    _color = Colors.green;
  }
  
  public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    return new TriangleShape(synthData, pos);
  }
  
  protected float getPitchArg(Vector3f pos)
  {
    return MusicTools.getMidiFromYCoord(pos.y, 0, true);
  }
}
